View Issue Details

IDProjectCategoryView StatusLast Update
0003416GNUnethello librarypublic2018-06-07 00:25
ReporterMatthias WachsAssigned ToMatthias Wachs 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003416: GNUNET_HELLO_parse_uri stops on first invalid address
DescriptionIf we a peer with udp disabled have a hello with udp address

peerinfo-tool stops parsing addresses on first missing plugin

if missing plugin is comes later, first addresses are added:

tcpl;tcp;udp -> tcp addresses added, udp is skipped
Steps To ReproduceReason: hello.c: add_address_to_hello returns 0 when invalid address is found but does not continue with next address but instead stop
TagsNo tags attached.

Activities

Matthias Wachs

2014-06-03 11:34

manager   ~0008389

fixed in rev 33494.

Issue History

Date Modified Username Field Change
2014-06-02 14:27 Matthias Wachs New Issue
2014-06-02 14:42 Matthias Wachs Category peerinfo service => hello library
2014-06-02 14:42 Matthias Wachs Summary tool stops adding addresses when plugin is not found => GNUNET_HELLO_parse_uri stops on first invalid address
2014-06-02 14:42 Matthias Wachs Steps to Reproduce Updated View Revisions
2014-06-03 10:47 Christian Grothoff Assigned To => Matthias Wachs
2014-06-03 10:47 Christian Grothoff Status new => assigned
2014-06-03 11:34 Matthias Wachs Note Added: 0008389
2014-06-03 11:34 Matthias Wachs Status assigned => resolved
2014-06-03 11:34 Matthias Wachs Resolution open => fixed
2014-09-30 10:33 Christian Grothoff Product Version => SVN HEAD
2014-09-30 10:33 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:33 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed